Visual LISP, AutoLISP and General Customization

Reply
New Member
CADAPLUS
Posts: 2
Registered: ‎03-25-2009
Message 1 of 2 (105 Views)

DVB sample

105 Views, 1 Replies
03-25-2009 08:02 AM
Hi I'm trying to do a simple dialog box with VBA

(defun c:sample ()
(vl-load-com)
(vl-vbaload (findfile "test.dvb"))
;(vl-vbarun "something_here")
(princ)
)

How should I modify my dvb file?
Thanks for help
*Laurie
Message 2 of 2 (105 Views)

Re: DVB sample

03-25-2009 01:46 PM in reply to: CADAPLUS
Hi cadaplus,


Without knowing what is in your DVB file it's a bit hard to guess how
you should modify it.

However, first you should modify your lisp so that after the DVB file is
fixed the lisp can use it.


(defun c:sample ()
(vl-load-com)
(vl-vbaload (findfile "test.dvb")) ; The "findfile" is superfluous
; as the vl-vbaload will find the
; file if findfile is capable of
; finding it
(vl-vbarun "something_here")
(princ)
)


A better lisp function is:

(defun c:sample ()
(vl-load-com)
(If (findfile "test.dvb")
(vl-vbarun "test.dvb!something_here")
(Alert "Test.dvb not found")
)
(princ)
)


Assuming your DVB file has a form with the name "Form1" then the
"something_here" has to look like:


Sub something_here ()
Form1.Show
End Sub



Regards,


Laurie Comerford


cadaplus wrote:
> Hi I'm trying to do a simple dialog box with VBA (defun c:sample ()
> (vl-load-com) (vl-vbaload (findfile "test.dvb")) ;(vl-vbarun
> "something_here") (princ) ) How should I modify my dvb file? Thanks for
> help

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community